function quantizere_characteristic_GUI25
% Modifiable runGUI file
clc;
clear all;

% USER - ENTER FILENAME
fileName = 'quantizer_characteristic.mat';    
fileData=load(fileName);
temp=fileData(1).temp;

f = figure('Visible','on',...
'Units','normalized',...
'Position',[0,0,1,1],...
'MenuBar','none',...
'NumberTitle','off');

% USER - ENTER PROPER CALLBACK FILE
Callbacks_quantizer_characteristic_GUI25(f,temp);    
%panelAndButtonEdit(f, temp);       % Easy access to Edit Mode

% Note comment PanelandBUttonCallbacks(f,temp) if panelAndButtonEdit is to
% be uncommented and used
end

% GUI Lite 2.5 for speech coding/quantizer characteristics
% 2 Panels
%   #1 - input parameters
%   #2 - graphics displays
% 2 Graphic Panels
%   #1 - Uniform/Mu-Law Rounding and Saturating
%   #2 - Uniform/Mu-Law Truncation and Saturating
% 1 TitleBox
% 6 Buttons
%   #1 - editable button - mu: value of mu for mu-law quantization
%   #2 - editable button - nbitsu: number of bits in uniform quantizer
%   #3 - editable button - nbitsmu - number of bits in mu-law quantizer
%   #4 - pushbutton - Run Uniform Quantization
%   #5 - pushbutton - Run Mu-Law Quantization
%   #6 - pushbutton - Close GUI